## class SSDClassNode : public StringListNode2

> TSSD class node.

## Inheritance:

### Public Methods

  | SSDClassNode (SSDGraph *g)
  | SSDClassNode (const SSDClassNode &c)
  int | GetClassType () const
  Subject* | Clone ()
  StringListNode::StringErrorType | SetString ( const string *s, unsigned n, bool update)
  StringListNode::StringErrorType | SetString2 ( const string *s, unsigned n, bool update)
  StringListNode::StringErrorType | SetStereotype (const string *s)
  StringListNode::StringErrorType | SetProperties (const string *s)
  const string* | GetStereotype ()
  const string* | GetProperties () const
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)

### Inherited from StringListNode2:

### Public Methods

const string* GetString2(unsigned n)
unsigned NrStrings2()
const string* GetStringListLabel2()
const string* GetStringLabel2()
void SetStringListLabel2(const string *s)
void SetStringListLabel2(const char *s)
void SetStringLabel2(const string *s)
void SetStringLabel2(const char *s)
bool HasString2(const string *s)

### Protected Methods

List <string *> * GetStringList2()

### Inherited from StringListNode:

### Public Classes

enum StringErrorType

### Public Methods

const string* GetString(unsigned n)
unsigned NrStrings()
const string* GetStringListLabel()
const string* GetStringLabel()
void SetStringListLabel(const string *s)
void SetStringListLabel(const char *s)
void SetStringLabel(const string *s)
void SetStringLabel(const char *s)
bool HasString(const string *s)

### Protected Methods

List <string *> * GetStringList()

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
virtual Subject::NameErrType SetIndex(const string *s)
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> TSSD class node.

`SSDClassNode(SSDGraph *g)`

`SSDClassNode(const SSDClassNode &c)`

`int GetClassType() const`

`Subject* Clone()`

`StringListNode::StringErrorType SetString( const string *s, unsigned n, bool update)`

`StringListNode::StringErrorType SetString2( const string *s, unsigned n, bool update)`

`StringListNode::StringErrorType SetStereotype(const string *s)`

`StringListNode::StringErrorType SetProperties(const string *s)`

`const string* GetStereotype()`

`const string* GetProperties() const`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de